<?php

  header('Content-Type: application/json');

  function forwardJsonToWebService($jsonData, $targetUrl) 
  {
    $ch = curl_init($targetUrl);

    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // Return response as a string
//    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json')); // Set JSON header
    curl_setopt($ch, CURLOPT_POST, true); // HTTP POST method
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData); // Attach JSON payload
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);  //DISABLE SSL
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);  //DISABLE SSL
	
	curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI1NmQ0MzdlOC05YjAxLTQ1ZmItOTczNC00ZjZkM2FjNjA3MGIiLCJpYXQiOjE3MzQ2Njk4NjgsImV4cCI6MTczNDY3MTY2OH0.DYhai3rVe7m2m5x-ApOpqRQF2pfZyElqNmrKMKNguiI',
		'Content-Type: application/json'
    ]);


    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) 
	{
        $errorMsg = curl_error($ch);
        curl_close($ch);
        return array('success' => false, 'error' => $errorMsg);
    }

    // Get HTTP status code
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

//$httpCode = '200';
//$response = 'curl';
    // Return response and status
    return array('success' => true, 'http_code' => $httpCode, 'response' => $response);
  }

  if ($_SERVER['REQUEST_METHOD'] === 'POST') 
  {
    $rawData = file_get_contents("php://input");

    // Check if input is valid JSON
    if (json_decode($rawData) === null) 
	{
        // Invalid JSON, return error
        http_response_code(400); // Bad Request
        echo json_encode(array('success' => false, 'error' => 'Invalid JSON format'));
        exit;
    }

    $targetUrl = 'http://102.23.198.6:9092/care-flow/api/v1/claim';

    $result = forwardJsonToWebService($rawData, $targetUrl);

    // Return the result back to the client
    if ($result['success']) 
	{
        http_response_code($result['http_code']);
        echo json_encode(array('success' => true, 'response' => $result['response']));
		echo $rawData;
    } 
	else 
	{
        http_response_code(500); // Internal Server Error
        echo json_encode(array('success' => false, 'error' => $result['error']));
    }
  } 
  else 
  {
    // Reject non-POST requests
    http_response_code(405); // Method Not Allowed
    echo json_encode(array('success' => false, 'error' => 'Only POST requests are allowed'));
  }
?>
