<?php
function sendToApi($url, $token, $jsonString) 
{
    $ch = curl_init($url);

    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json'
       // ,'Authorization: Bearer ' . $token
    ]);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonString);

    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

    if (curl_errno($ch)) {
        $error = curl_error($ch);
        curl_close($ch);
        return [
            'success' => false,
            'message' => 'cURL error: ' . $error
        ];
    }

    curl_close($ch);

    return [
        'success' => ($httpCode >= 200 && $httpCode < 300),
        'httpCode' => $httpCode,
        'response' => $response
    ];
}


    $url = "http://102.23.198.6:9092/care-flow/api/v1/claim";
    $token = 'eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI1NmQ0MzdlOC05YjAxLTQ1ZmItOTczNC00ZjZkM2FjNjA3MGIiLCJpYXQiOjE3MzQ2ODI0MTksImV4cCI6MTczNDY4NDIxOX0.hg_HCgIppUoeheOcVX7eBiYBAz3Orga2K3PSBsbunz4';
    $jsonString = '{"claimNumber": "3212896","receivedAt": "2024/09/0412:00:00","accountNumber": "9111900806","claimType": "O","partyPaid": "P","membershipNumber":"91119008","treatingProvider": "0103365","referringProvider": "","authorisationNumber": "","reversedClaimNumber":"","claimLines": [{"claimLineNumber": "8176888","serviceDate": "2024/08/23","dependantCode": "6","tariffType": "N","tariffCode": "11001","quantity": "1","serviceAmount": "700","status": "A","icdCodes": "Z01.0,H52.0,Z97.3","modifiers": "","toothNumbers": "","lenses": "","benefits": [ {"benefitCode": "22226","amountPaid": "700"}]},{"claimLineNumber": "8176889","serviceDate": "2024/08/23","dependantCode": "6","tariffType": "N","tariffCode": "11501","quantity": "1","serviceAmount": "50","status": "A","icdCodes": "Z01.0,H52.0,Z97.3","modifiers": "","toothNumbers": "","lenses": "","benefits": [ {"benefitCode": "22226","amountPaid": "50"}]},{"claimLineNumber": "8176890","serviceDate": "2024/08/23","dependantCode": "6","tariffType": "N","tariffCode": "81BS001","quantity": "1","serviceAmount": "230","status": "A","icdCodes": "Z01.0,H52.0,Z97.3","modifiers": "","toothNumbers": "","lenses": "","benefits": [ {"benefitCode": "22226","amountPaid": "230"}]},{"claimLineNumber": "8176891","serviceDate": "2024/08/23","dependantCode": "6","tariffType": "N","tariffCode": "81BS001","quantity": "1","serviceAmount": "230","status": "A","icdCodes": "Z01.0,H52.0,Z97.3","modifiers": "","toothNumbers": "","lenses": "","benefits": [ {"benefitCode": "22226","amountPaid": "230"}]},{"claimLineNumber": "8176892","serviceDate": "2024/08/23","dependantCode": "6","tariffType": "N","tariffCode": "40501","quantity": "1","serviceAmount": "599","status": "A","icdCodes": "Z01.0,H52.0,Z97.3","modifiers": "","toothNumbers": "","lenses": "","benefits": [ {"benefitCode": "22226","amountPaid": "599"}]}]}
';

    $result = sendToApi($url, $token, $jsonString);

    http_response_code($result['success'] ? 200 : $result['httpCode']);
    echo json_encode($result);
?>
